Remove cas.h
Remove sas.h
Remove zonedata.c
Remove include/asterisk/zonedata.h

Index: ast_expr.y
===================================================================
RCS file: /usr/cvsroot/asterisk/ast_expr.y,v
retrieving revision 1.1.1.1
diff -u -r1.1.1.1 ast_expr.y
--- ast_expr.y	12 Feb 2003 13:59:13 -0000	1.1.1.1
+++ ast_expr.y	14 Sep 2003 15:28:26 -0000
@@ -79,7 +79,6 @@
 static quad_t		to_integer __P((struct val *));
 static void		to_string __P((struct val *));
 static int		ast_yyerror __P((const char *));
-static int		ast_yylex __P(());
 %}
 
 %pure-parser
@@ -90,6 +89,10 @@
 {
 	struct val *val;
 }
+
+%{
+static int		ast_yylex __P((YYSTYPE *lvalp, struct parser_control *karoto));
+%}
 
 %left <val> '|'
 %left <val> '&'
Index: cli.c
===================================================================
RCS file: /usr/cvsroot/asterisk/cli.c,v
retrieving revision 1.9
diff -u -r1.9 cli.c
--- cli.c	13 Aug 2003 15:25:16 -0000	1.9
+++ cli.c	14 Sep 2003 15:28:27 -0000
@@ -487,7 +487,7 @@
 	"1st File Descriptor: %d\n"
 	"      Frames in: %d%s\n"
 	"     Frames out: %d%s\n"
-	" Time to Hangup: %d\n"
+	" Time to Hangup: %ld\n"
 	" --   PBX   --\n"
 	"        Context: %s\n"
 	"      Extension: %s\n"
@@ -502,7 +502,7 @@
 	(c->callerid ? c->callerid : "(N/A)"),
 	(c->dnid ? c->dnid : "(N/A)" ), ast_state2str(c->_state), c->_state, c->rings, c->nativeformats, c->writeformat, c->readformat,
 	c->fds[0], c->fin & 0x7fffffff, (c->fin & 0x80000000) ? " (DEBUGGED)" : "",
-	c->fout & 0x7fffffff, (c->fout & 0x80000000) ? " (DEBUGGED)" : "", c->whentohangup,
+	c->fout & 0x7fffffff, (c->fout & 0x80000000) ? " (DEBUGGED)" : "", (long)c->whentohangup,
 	c->context, c->exten, c->priority, c->callgroup, c->pickupgroup, ( c->appl ? c->appl : "(N/A)" ),
 	( c-> data ? (strlen(c->data) ? c->data : "(Empty)") : "(None)"),
 	c->stack, (c->blocking ? c->blockproc : "(Not Blocking)"));
Index: apps/app_queue.c
===================================================================
RCS file: /usr/cvsroot/asterisk/apps/app_queue.c,v
retrieving revision 1.35
diff -u -r1.35 app_queue.c
--- apps/app_queue.c	10 Sep 2003 05:24:49 -0000	1.35
+++ apps/app_queue.c	14 Sep 2003 15:28:29 -0000
@@ -1383,8 +1383,8 @@
 			pos = 1;
 			ast_cli(fd, "   Callers: \n");
 			for (qe = q->head; qe; qe = qe->next) 
-				ast_cli(fd, "      %d. %s (wait: %d:%2.2d)\n", pos++, qe->chan->name,
-								(now - qe->start) / 60, (now - qe->start) % 60);
+				ast_cli(fd, "      %d. %s (wait: %ld:%2.2ld)\n", pos++, qe->chan->name,
+								(long)(now - qe->start) / 60, (long)(now - qe->start) % 60);
 		} else
 			ast_cli(fd, "   No Callers\n");
 		ast_cli(fd, "\n");
Index: channels/chan_h323.c
===================================================================
RCS file: /usr/cvsroot/asterisk/channels/chan_h323.c,v
retrieving revision 1.3
diff -u -r1.3 chan_h323.c
--- channels/chan_h323.c	6 Sep 2003 20:29:25 -0000	1.3
+++ channels/chan_h323.c	14 Sep 2003 15:28:31 -0000
@@ -1413,7 +1413,7 @@
 
 
 
-int reload_config()
+int reload_config(void)
 {
 	
 	int format;
Index: channels/chan_zap.c
===================================================================
RCS file: /usr/cvsroot/asterisk/channels/chan_zap.c,v
retrieving revision 1.99
diff -u -r1.99 chan_zap.c
--- channels/chan_zap.c	13 Sep 2003 23:57:48 -0000	1.99
+++ channels/chan_zap.c	14 Sep 2003 15:28:35 -0000
@@ -6360,7 +6360,7 @@
 		return RESULT_SHOWUSAGE;
 	chan = atoi(argv[4]);
 	if ((chan < 1) || (chan > NUM_SPANS)) {
-		ast_cli(fd, "Invalid channel %s.  Should be a number greater than 0\n");
+		ast_cli(fd, "Invalid channel %s.  Should be a number greater than 0\n", argv[4]);
 		return RESULT_SUCCESS;
 	}
 	tmp = iflist;
@@ -6391,7 +6391,7 @@
 	}
 	chan = atoi(argv[3]);
 	if ((chan < 1) || (chan > NUM_SPANS)) {
-		ast_cli(fd, "Invalid channel %s.  Should be a number greater than 0\n");
+		ast_cli(fd, "Invalid channel %s.  Should be a number greater than 0\n", argv[3]);
 		return RESULT_SUCCESS;
 	}
 	tmp = iflist;
Index: codecs/codec_g723_1.c
===================================================================
RCS file: /usr/cvsroot/asterisk/codecs/codec_g723_1.c,v
retrieving revision 1.4
diff -u -r1.4 codec_g723_1.c
--- codecs/codec_g723_1.c	13 Aug 2003 15:25:16 -0000	1.4
+++ codecs/codec_g723_1.c	14 Sep 2003 15:28:36 -0000
@@ -94,7 +94,7 @@
 	int tail;
 };
 
-static struct ast_translator_pvt *g723tolin_new()
+static struct ast_translator_pvt *g723tolin_new(void)
 {
 	struct g723_decoder_pvt *tmp;
 	tmp = malloc(sizeof(struct g723_decoder_pvt));
@@ -108,7 +108,7 @@
 	return (struct ast_translator_pvt *)tmp;
 }
 
-static struct ast_frame *lintog723_sample()
+static struct ast_frame *lintog723_sample(void)
 {
 	static struct ast_frame f;
 	f.frametype = AST_FRAME_VOICE;
@@ -123,7 +123,7 @@
 	return &f;
 }
 
-static struct ast_frame *g723tolin_sample()
+static struct ast_frame *g723tolin_sample(void)
 {
 	static struct ast_frame f;
 	f.frametype = AST_FRAME_VOICE;
@@ -138,7 +138,7 @@
 	return &f;
 }
 
-static struct ast_translator_pvt *lintog723_new()
+static struct ast_translator_pvt *lintog723_new(void)
 {
 	struct g723_encoder_pvt *tmp;
 	tmp = malloc(sizeof(struct g723_encoder_pvt));
@@ -396,7 +396,7 @@
 	return res;
 }
 
-char *key()
+char *key(void)
 {
 	return ASTERISK_GPL_KEY;
 }
Index: codecs/gsm/Makefile
===================================================================
RCS file: /usr/cvsroot/asterisk/codecs/gsm/Makefile,v
retrieving revision 1.3
diff -u -r1.3 Makefile
--- codecs/gsm/Makefile	27 Apr 2003 18:13:11 -0000	1.3
+++ codecs/gsm/Makefile	14 Sep 2003 15:28:37 -0000
@@ -54,8 +54,8 @@
 # CC		= /usr/lang/acc
 # CCFLAGS 	= -c -O
 
-CC		= gcc -ansi -pedantic $(OPTIMIZE) -march=$(PROC) -fschedule-insns2  -fomit-frame-pointer 
-CCFLAGS 	+= -c -DNeedFunctionPrototypes=1 -finline-functions -funroll-loops -fPIC
+CC		= gcc $(OPTIMIZE) -march=$(PROC) -fomit-frame-pointer 
+CCFLAGS 	+= -c -DNeedFunctionPrototypes=1 -funroll-loops -fPIC
 
 LD 		= $(CC)
 
Index: codecs/ilbc/iCBSearch.c
===================================================================
RCS file: /usr/cvsroot/asterisk/codecs/ilbc/iCBSearch.c,v
retrieving revision 1.2
diff -u -r1.2 iCBSearch.c
--- codecs/ilbc/iCBSearch.c	15 Aug 2003 04:38:39 -0000	1.2
+++ codecs/ilbc/iCBSearch.c	14 Sep 2003 15:28:38 -0000
@@ -117,7 +117,8 @@
             *ppe=0.0; 
             pp=buf+LPC_FILTERORDER+lMem-lTarget; 
             for (j=0; j<lTarget; j++) { 
-                *ppe+=(*pp)*(*pp++); 
+                *ppe+=(*pp)*(*pp); 
+		pp++;
             } 
              
             if(*ppe>0.0) { 
@@ -295,7 +296,8 @@
  
             pp=cbvectors+lMem-lTarget; 
             for (j=0; j<lTarget; j++) { 
-                *ppe+=(*pp)*(*pp++); 
+                *ppe+=(*pp)*(*pp); 
+		pp++;
             } 
  
             ppi = cbvectors + lMem - 1 - lTarget; 
Index: codecs/lpc10/analys.c
===================================================================
RCS file: /usr/cvsroot/asterisk/codecs/lpc10/analys.c,v
retrieving revision 1.1.1.1
diff -u -r1.1.1.1 analys.c
--- codecs/lpc10/analys.c	12 Feb 2003 13:59:14 -0000	1.1.1.1
+++ codecs/lpc10/analys.c	14 Sep 2003 15:28:38 -0000
@@ -222,7 +222,7 @@
     extern /* Subroutine */ int onset_(real *, integer *, integer *, integer *
 	    , integer *, integer *, integer *, struct lpc10_encoder_state *);
     integer *osptr;
-    extern /* Subroutine */ placea_(integer *, integer *
+    extern /* Subroutine */ int placea_(integer *, integer *
 	    , integer *, integer *, integer *, integer *, integer *, integer *
 	    , integer *), dcbias_(integer *, real *, real *), placev_(integer 
 	    *, integer *, integer *, integer *, integer *, integer *, integer 
@@ -476,10 +476,10 @@
     voibuf[0] = voibuf[2];
     voibuf[1] = voibuf[3];
     for (i__ = 1; i__ <= 2; ++i__) {
-	vwin[(i__ << 1) - 2] = vwin[(i__ + 1 << 1) - 2] - contrl_1.lframe;
-	vwin[(i__ << 1) - 1] = vwin[(i__ + 1 << 1) - 1] - contrl_1.lframe;
-	awin[(i__ << 1) - 2] = awin[(i__ + 1 << 1) - 2] - contrl_1.lframe;
-	awin[(i__ << 1) - 1] = awin[(i__ + 1 << 1) - 1] - contrl_1.lframe;
+	vwin[(i__ << 1) - 2] = vwin[((i__ + 1) << 1) - 2] - contrl_1.lframe;
+	vwin[(i__ << 1) - 1] = vwin[((i__ + 1) << 1) - 1] - contrl_1.lframe;
+	awin[(i__ << 1) - 2] = awin[((i__ + 1) << 1) - 2] - contrl_1.lframe;
+	awin[(i__ << 1) - 1] = awin[((i__ + 1) << 1) - 1] - contrl_1.lframe;
 /*       EWIN(*,J) is unused for J .NE. AF, so the following shift is 
 */
 /*       unnecessary.  It also causes error messages when the C versio
@@ -492,7 +492,7 @@
 /* 	   EWIN(2,I) = EWIN(2,I+1) - LFRAME */
 	obound[i__ - 1] = obound[i__];
 	voibuf[i__ * 2] = voibuf[(i__ + 1) * 2];
-	voibuf[(i__ << 1) + 1] = voibuf[(i__ + 1 << 1) + 1];
+	voibuf[(i__ << 1) + 1] = voibuf[((i__ + 1) << 1) + 1];
 	rmsbuf[i__ - 1] = rmsbuf[i__];
 	i__1 = contrl_1.order;
 	for (j = 1; j <= i__1; ++j) {
Index: codecs/lpc10/decode.c
===================================================================
RCS file: /usr/cvsroot/asterisk/codecs/lpc10/decode.c,v
retrieving revision 1.1.1.1
diff -u -r1.1.1.1 decode.c
--- codecs/lpc10/decode.c	12 Feb 2003 13:59:14 -0000	1.1.1.1
+++ codecs/lpc10/decode.c	14 Sep 2003 15:28:39 -0000
@@ -506,9 +506,9 @@
 	}
 	for (i__ = 1; i__ <= 6; ++i__) {
 	    if ((i__1 = drc[i__ * 3 - 2] - drc[i__ * 3 - 3], (real) abs(i__1))
-		     >= corth[ixcor + (i__ + 2 << 2) - 5] && (i__2 = drc[i__ *
+		     >= corth[ixcor + ((i__ + 2) << 2) - 5] && (i__2 = drc[i__ *
 		     3 - 2] - drc[i__ * 3 - 1], (real) abs(i__2)) >= corth[
-		    ixcor + (i__ + 2 << 2) - 5]) {
+		    ixcor + ((i__ + 2) << 2) - 5]) {
 		irc[i__] = median_(&drc[i__ * 3 - 1], &drc[i__ * 3 - 2], &drc[
 			i__ * 3 - 3]);
 	    }
Index: codecs/lpc10/ivfilt.c
===================================================================
RCS file: /usr/cvsroot/asterisk/codecs/lpc10/ivfilt.c,v
retrieving revision 1.1.1.1
diff -u -r1.1.1.1 ivfilt.c
--- codecs/lpc10/ivfilt.c	12 Feb 2003 13:59:15 -0000	1.1.1.1
+++ codecs/lpc10/ivfilt.c	14 Sep 2003 15:28:39 -0000
@@ -91,7 +91,7 @@
     /* Function Body */
     for (i__ = 1; i__ <= 3; ++i__) {
 	r__[i__ - 1] = 0.f;
-	k = i__ - 1 << 2;
+	k = (i__ - 1) << 2;
 	i__1 = *len;
 	for (j = (i__ << 2) + *len - *nsamp; j <= i__1; j += 2) {
 	    r__[i__ - 1] += lpbuf[j] * lpbuf[j - k];
Index: codecs/lpc10/placea.c
===================================================================
RCS file: /usr/cvsroot/asterisk/codecs/lpc10/placea.c,v
retrieving revision 1.1.1.1
diff -u -r1.1.1.1 placea.c
--- codecs/lpc10/placea.c	12 Feb 2003 13:59:15 -0000	1.1.1.1
+++ codecs/lpc10/placea.c	14 Sep 2003 15:28:39 -0000
@@ -152,7 +152,7 @@
     allv = allv && voibuf[(*af << 1) + 1] == 1;
     allv = allv && voibuf[(*af << 1) + 2] == 1;
     winv = voibuf[(*af << 1) + 1] == 1 || voibuf[(*af << 1) + 2] == 1;
-    if (allv || winv && *obound == 0) {
+    if (allv || (winv && *obound == 0)) {
 /* APHASE:  Phase synchronous window placement. */
 /* Get minimum lower index of the window. */
 	i__ = (lrange + *ipitch - 1 - awin[((*af - 1) << 1) + 1]) / *ipitch;
Index: codecs/lpc10/synths.c
===================================================================
RCS file: /usr/cvsroot/asterisk/codecs/lpc10/synths.c,v
retrieving revision 1.1.1.1
diff -u -r1.1.1.1 synths.c
--- codecs/lpc10/synths.c	12 Feb 2003 13:59:15 -0000	1.1.1.1
+++ codecs/lpc10/synths.c	14 Sep 2003 15:28:39 -0000
@@ -167,7 +167,7 @@
     extern /* Subroutine */ int deemp_(real *, integer *, struct lpc10_decoder_state *);
     real ratio;
     integer ipiti[16];
-    extern /* Subroutine */ bsynz_(real *, integer *, 
+    extern /* Subroutine */ int bsynz_(real *, integer *, 
 	    integer *, real *, real *, real *, real *, struct lpc10_decoder_state *), irc2pc_(real *, real *
 	    , integer *, real *, real *);
     real g2pass;
Index: codecs/mp3/src/cupini.c
===================================================================
RCS file: /usr/cvsroot/asterisk/codecs/mp3/src/cupini.c,v
retrieving revision 1.1.1.1
diff -u -r1.1.1.1 cupini.c
--- codecs/mp3/src/cupini.c	12 Feb 2003 13:59:14 -0000	1.1.1.1
+++ codecs/mp3/src/cupini.c	14 Sep 2003 15:28:39 -0000
@@ -189,7 +189,7 @@
 int audio_decode_initL1(MPEG_HEAD * h, int framebytes_arg,
 		   int reduction_code, int transform_code, int convert_code,
 			int freq_limit);
-void sbt_init();
+void sbt_init(void);
 
 
 IN_OUT L1audio_decode(void *mv, unsigned char *bs, signed short *pcm);
Index: codecs/mp3/src/cupl3.c
===================================================================
RCS file: /usr/cvsroot/asterisk/codecs/mp3/src/cupl3.c,v
retrieving revision 1.1.1.1
diff -u -r1.1.1.1 cupl3.c
--- codecs/mp3/src/cupl3.c	12 Feb 2003 13:59:14 -0000	1.1.1.1
+++ codecs/mp3/src/cupl3.c	14 Sep 2003 15:28:40 -0000
@@ -104,7 +104,7 @@
    bitdat.bs_ptr_end = buf_end;
 }
 /*------------- get n bits from bitstream -------------*/
-int bitget_bits_used()
+int bitget_bits_used(void)
 {
    int n;			/* compute bits used from last init call */
 
@@ -142,7 +142,7 @@
    return x;
 }
 /*------------- get 1 bit from bitstream -------------*/
-unsigned int bitget_1bit()
+unsigned int bitget_1bit(void)
 {
    unsigned int x;
 
@@ -991,11 +991,6 @@
 int L3table_init(MPEG *m);
 void msis_init(MPEG *m);
 void sbt_init(MPEG *m);
-#if 0
-typedef int iARRAY22[22];
-#endif
-iARRAY22 *quant_init_band_addr();
-iARRAY22 *msis_init_band_addr();
 
 /*---------------------------------------------------------*/
 /* mpeg_head defined in mhead.h  frame bytes is without pad */
Index: codecs/mp3/src/icdct.c
===================================================================
RCS file: /usr/cvsroot/asterisk/codecs/mp3/src/icdct.c,v
retrieving revision 1.1.1.1
diff -u -r1.1.1.1 icdct.c
--- codecs/mp3/src/icdct.c	12 Feb 2003 13:59:14 -0000	1.1.1.1
+++ codecs/mp3/src/icdct.c	14 Sep 2003 15:28:40 -0000
@@ -49,7 +49,7 @@
 #define forward_bf idx_forward_bf
 /*--- #define forward_bf ptr_forward_bf  ---*/
 /*------------------------------------------------------------*/
-DCTCOEF *i_dct_coef_addr()
+DCTCOEF *i_dct_coef_addr(void)
 {
    return coef32;
 }
Index: codecs/mp3/src/isbt.c
===================================================================
RCS file: /usr/cvsroot/asterisk/codecs/mp3/src/isbt.c,v
retrieving revision 1.1.1.1
diff -u -r1.1.1.1 isbt.c
--- codecs/mp3/src/isbt.c	12 Feb 2003 13:59:14 -0000	1.1.1.1
+++ codecs/mp3/src/isbt.c	14 Sep 2003 15:28:41 -0000
@@ -100,10 +100,10 @@
 extern WININT vbuf[512];
 extern WININT vbuf2[512];
 
-DCTCOEF *i_dct_coef_addr();
+DCTCOEF *i_dct_coef_addr(void);
 
 /*======================================================================*/
-static void gencoef()		/* gen coef for N=32 */
+static void gencoef(void)		/* gen coef for N=32 */
 {
    int p, n, i, k;
    double t, pi;
@@ -125,8 +125,8 @@
    }
 }
 /*------------------------------------------------------------*/
-WINCOEF *i_wincoef_addr();
-static void genwincoef_q()	/* gen int window coefs from floating table */
+WINCOEF *i_wincoef_addr(void);
+static void genwincoef_q(void)	/* gen int window coefs from floating table */
 {
    int i, j, k, m;
    float x;
@@ -166,12 +166,12 @@
    }
 }
 /*------------------------------------------------------------*/
-static void genwincoef()	/* gen int window coefs from floating table */
+static void genwincoef(void)	/* gen int window coefs from floating table */
 {
    int i;
    float x;
    WINCOEF *iwincoef;
-   WINCOEF *i_wincoef_addr();
+   WINCOEF *i_wincoef_addr(void);
 
    iwincoef = i_wincoef_addr();
 
@@ -186,7 +186,7 @@
    }
 }
 /*------------------------------------------------------------*/
-void i_sbt_init()
+void i_sbt_init(void)
 {
    int i;
    static int first_pass = 1;
Index: codecs/mp3/src/iup.c
===================================================================
RCS file: /usr/cvsroot/asterisk/codecs/mp3/src/iup.c,v
retrieving revision 1.1.1.1
diff -u -r1.1.1.1 iup.c
--- codecs/mp3/src/iup.c	12 Feb 2003 13:59:14 -0000	1.1.1.1
+++ codecs/mp3/src/iup.c	14 Sep 2003 15:28:41 -0000
@@ -138,7 +138,7 @@
 void i_sbt_mono(SAMPLEINT * sample, short *pcm, int n);
 void i_sbt_dual(SAMPLEINT * sample, short *pcm, int n);
 
-static void unpack();
+static void unpack(MPEGI *);
 
 /*------------- initialize bit getter -------------*/
 static void load_init(MPEGI *m, unsigned char *buf)
Index: codecs/mp3/src/iupini.c
===================================================================
RCS file: /usr/cvsroot/asterisk/codecs/mp3/src/iupini.c,v
retrieving revision 1.1.1.1
diff -u -r1.1.1.1 iupini.c
--- codecs/mp3/src/iupini.c	12 Feb 2003 13:59:14 -0000	1.1.1.1
+++ codecs/mp3/src/iupini.c	14 Sep 2003 15:28:41 -0000
@@ -268,7 +268,7 @@
 int i_audio_decode_initL1(MPEGI *m, MPEG_HEAD * h, int framebytes_arg,
 		   int reduction_code, int transform_code, int convert_code,
 			  int freq_limit);
-void i_sbt_init();
+void i_sbt_init(void);
 
 /*---------------------------------------------------------*/
 /* mpeg_head defined in mhead.h  frame bytes is without pad */
Index: codecs/mp3/src/iwinm.c
===================================================================
RCS file: /usr/cvsroot/asterisk/codecs/mp3/src/iwinm.c,v
retrieving revision 1.1.1.1
diff -u -r1.1.1.1 iwinm.c
--- codecs/mp3/src/iwinm.c	12 Feb 2003 13:59:14 -0000	1.1.1.1
+++ codecs/mp3/src/iwinm.c	14 Sep 2003 15:28:41 -0000
@@ -49,7 +49,7 @@
 static WINCOEF iwincoef[264];
 
 /*==================================================================*/
-WINCOEF *i_wincoef_addr()
+WINCOEF *i_wincoef_addr(void)
 {
    return iwincoef;
 }
Index: codecs/mp3/src/l3init.c
===================================================================
RCS file: /usr/cvsroot/asterisk/codecs/mp3/src/l3init.c,v
retrieving revision 1.1.1.1
diff -u -r1.1.1.1 l3init.c
--- codecs/mp3/src/l3init.c	12 Feb 2003 13:59:14 -0000	1.1.1.1
+++ codecs/mp3/src/l3init.c	14 Sep 2003 15:28:42 -0000
@@ -140,7 +140,7 @@
 }
 /*====================================================================*/
 typedef float ARRAY36[36];
-ARRAY36 *hwin_init_addr();
+ARRAY36 *hwin_init_addr(MPEG *);
 
 /*--------------------------------------------------------------------*/
 void hwin_init(MPEG *m)
@@ -200,8 +200,8 @@
 }
 /*=============================================================*/
 typedef float ARRAY4[4];
-IMDCT_INIT_BLOCK *imdct_init_addr_18();
-IMDCT_INIT_BLOCK *imdct_init_addr_6();
+IMDCT_INIT_BLOCK *imdct_init_addr_18(void);
+IMDCT_INIT_BLOCK *imdct_init_addr_6(void);
 
 /*-------------------------------------------------------------*/
 void imdct_init(MPEG *m)
Index: codecs/mp3/src/mdct.c
===================================================================
RCS file: /usr/cvsroot/asterisk/codecs/mp3/src/mdct.c,v
retrieving revision 1.1.1.1
diff -u -r1.1.1.1 mdct.c
--- codecs/mp3/src/mdct.c	12 Feb 2003 13:59:14 -0000	1.1.1.1
+++ codecs/mp3/src/mdct.c	14 Sep 2003 15:28:42 -0000
@@ -71,11 +71,11 @@
 {mdct6_3v, mdct6_3v2, &coef87};
 
 /*====================================================================*/
-IMDCT_INIT_BLOCK *imdct_init_addr_18()
+IMDCT_INIT_BLOCK *imdct_init_addr_18(void)
 {
    return &imdct_info_18;
 }
-IMDCT_INIT_BLOCK *imdct_init_addr_6()
+IMDCT_INIT_BLOCK *imdct_init_addr_6(void)
 {
    return &imdct_info_6;
 }
Index: stdtime/localtime.c
===================================================================
RCS file: /usr/cvsroot/asterisk/stdtime/localtime.c,v
retrieving revision 1.1
diff -u -r1.1 localtime.c
--- stdtime/localtime.c	13 Sep 2003 20:51:48 -0000	1.1
+++ stdtime/localtime.c	14 Sep 2003 15:28:43 -0000
@@ -25,11 +25,12 @@
 #define TZ_STRLEN_MAX	255
 /* #define DEBUG */
 #include <asterisk/lock.h>
+#include <asterisk/localtime.h>
 
 
 #ifndef lint
 #ifndef NOID
 static char	elsieid[] = "@(#)localtime.c	7.57";
 #endif /* !defined NOID */
 #endif /* !defined lint */
 
@@ -45,7 +46,7 @@
 #include <sys/stat.h>
 #include "private.h"
 #include "tzfile.h"
-#include "fcntl.h"
+#include <fcntl.h>
 #ifdef DEBUG
 #include <stdio.h>
 #endif