Index: srv.c
===================================================================
RCS file: /export/home/cvsroot/asterisk/srv.c,v
retrieving revision 1.5
diff -u -r1.5 srv.c
--- srv.c	26 Oct 2003 18:50:49 -0000	1.5
+++ srv.c	26 Oct 2003 19:57:19 -0000
@@ -35,22 +38,6 @@
 	unsigned short weight;
 	unsigned short portnum;
 } __attribute__ ((__packed__));
-
-static int parse_ie(unsigned char *data, int maxdatalen, unsigned char *src, int srclen)
-{
-	int len, olen;
-	len = olen = (int)src[0];
-	src++;
-	srclen--;
-	if (len > srclen) {
-		ast_log(LOG_WARNING, "Want %d, got %d\n", len, srclen);
-		return -1;
-	}
-	if (len > maxdatalen)
-		len = maxdatalen;
-	memcpy(data, src, len);
-	return olen + 1;
-}
 
 static int parse_srv(unsigned char *host, int hostlen, int *portno, unsigned char *answer, int len, unsigned char *msg)
 {
Index: codecs/Makefile
===================================================================
RCS file: /export/home/cvsroot/asterisk/codecs/Makefile,v
retrieving revision 1.18
diff -u -r1.18 Makefile
--- codecs/Makefile	26 Oct 2003 18:50:49 -0000	1.18
+++ codecs/Makefile	26 Oct 2003 19:57:19 -0000
@@ -27,8 +27,7 @@
 LIBG723=g723.1/libg723.a
 LIBG723B=g723.1b/libg723b.a
 LIBGSM=gsm/lib/libgsm.a
-LIBGSM=$(shell if uname -m | grep -q 86; then echo gsm/lib/libgsm.a; else echo "-lgsm" ; fi)
-LIBGSMT=$(shell if uname -m | grep -q 86; then echo gsm/lib/libgsm.a; fi)
+LIBGSMT=gsm/lib/libgsm.a
 LIBMP3=mp3/libmp3.a
 LIBLPC10=lpc10/liblpc10.a
 LIBSPEEX=$(shell [ -f /usr/local/lib/libspeex.a ] && echo "-L/usr/local/lib")
Index: codecs/gsm/src/code.c
===================================================================
RCS file: /export/home/cvsroot/asterisk/codecs/gsm/src/code.c,v
retrieving revision 1.17
diff -u -r1.17 code.c
--- codecs/gsm/src/code.c	19 Aug 2003 16:42:30 -0000	1.17
+++ codecs/gsm/src/code.c	26 Oct 2003 19:57:19 -0000
@@ -62,6 +62,10 @@
 
 	word	so[160];
 
+#if !(defined(__GNUC__) && defined(__i386__))
+	longword ltmp;
+#endif
+
 	Gsm_Preprocess			(S, s, so);
 	Gsm_LPC_Analysis		(S, so, LARc);
 	Gsm_Short_Term_Analysis_Filter	(S, LARc, so);
Index: codecs/lpc10/Makefile
===================================================================
RCS file: /export/home/cvsroot/asterisk/codecs/lpc10/Makefile,v
retrieving revision 1.7
diff -u -r1.7 Makefile
--- codecs/lpc10/Makefile	26 Oct 2003 18:50:49 -0000	1.7
+++ codecs/lpc10/Makefile	27 Oct 2003 19:06:05 -0000
@@ -37,42 +37,17 @@
 .PHONY: all clean
 
 all:	$(LIB)
-	ranlib $(LIB)
 
-$(LIB):		$(LIB)(f2clib.o)	\
-		$(LIB)(analys.o)	\
-		$(LIB)(bsynz.o)		\
-		$(LIB)(chanwr.o)	\
-		$(LIB)(dcbias.o)	\
-		$(LIB)(decode.o)	\
-		$(LIB)(deemp.o)		\
-		$(LIB)(difmag.o)	\
-		$(LIB)(dyptrk.o)	\
-		$(LIB)(encode.o)	\
-		$(LIB)(energy.o)	\
-		$(LIB)(ham84.o)		\
-		$(LIB)(hp100.o)		\
-		$(LIB)(invert.o)	\
-		$(LIB)(irc2pc.o)	\
-		$(LIB)(ivfilt.o)	\
-		$(LIB)(lpcdec.o)	\
-		$(LIB)(lpcenc.o)	\
-		$(LIB)(lpcini.o)	\
-		$(LIB)(lpfilt.o)	\
-		$(LIB)(median.o)	\
-		$(LIB)(mload.o)		\
-		$(LIB)(onset.o)		\
-		$(LIB)(pitsyn.o)	\
-		$(LIB)(placea.o)	\
-		$(LIB)(placev.o)	\
-		$(LIB)(preemp.o)	\
-		$(LIB)(prepro.o)	\
-		$(LIB)(random.o)	\
-		$(LIB)(rcchk.o)		\
-		$(LIB)(synths.o)	\
-		$(LIB)(tbdm.o)		\
-		$(LIB)(voicin.o)	\
-		$(LIB)(vparms.o)
+OBJ=	f2clib.o analys.o bsynz.o chanwr.o dcbias.o decode.o \
+		deemp.o difmag.o dyptrk.o encode.o energy.o ham84.o \
+		hp100.o invert.o irc2pc.o ivfilt.o lpcdec.o lpcenc.o \
+		lpcini.o lpfilt.o median.o mload.o onset.o pitsyn.o \
+		placea.o placev.o preemp.o prepro.o random.o rcchk.o \
+		synths.o tbdm.o voicin.o vparms.o
+
+$(LIB): $(OBJ)
+	$(AR) cr $@ $(OBJ)
+	ranlib $@
 
 clean:
 	-rm -f *.o $(LIB)
Index: include/asterisk/localtime.h
===================================================================
RCS file: /export/home/cvsroot/asterisk/include/asterisk/localtime.h,v
retrieving revision 1.1
diff -u -r1.1 localtime.h
--- include/asterisk/localtime.h	13 Sep 2003 20:51:48 -0000	1.1
+++ include/asterisk/localtime.h	26 Oct 2003 19:57:21 -0000
@@ -18,5 +18,7 @@
 extern void ast_tzset(const char *name);
 extern struct tm *ast_localtime(const time_t *timep, struct tm *p_tm, const char *zone);
 extern time_t ast_mktime(struct tm * const tmp, const char *zone);
+extern char *ast_ctime(const time_t * const timep);
+extern char *ast_ctime_r(const time_t * const timep, char *buf);
 
 #endif
Index: stdtime/localtime.c
===================================================================
RCS file: /export/home/cvsroot/asterisk/stdtime/localtime.c,v
retrieving revision 1.5
diff -u -r1.5 localtime.c
--- stdtime/localtime.c	26 Oct 2003 18:50:49 -0000	1.5
+++ stdtime/localtime.c	26 Oct 2003 19:58:25 -0000
@@ -1187,8 +1187,8 @@
 #endif /* defined TM_GMTOFF */
 }
 
-static char *
-ctime(timep)
+char *
+ast_ctime(timep)
 const time_t * const	timep;
 {
 /*
@@ -1200,8 +1200,8 @@
 	return asctime(localtime(timep));
 }
 
-static char *
-ctime_r(timep, buf)
+char *
+ast_ctime_r(timep, buf)
 const time_t * const	timep;
 char *buf;
 {